%global momorel 2
%global ocamlver 3.10.2

%define opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)
%define debug_package %{nil}

Name:           ocaml-gsl
Version:        0.6.0
Release:        %{momorel}m%{?dist}
Summary:        Interface to GSL (GNU scientific library) for OCaml

Group:          Development/Libraries
License:        GPLv2
URL:            http://oandrieu.nerim.net/ocaml/gsl/
Source0:        http://oandrieu.nerim.net/ocaml/gsl/ocamlgsl-%{version}.tar.gz
NoSource: 0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml >= %{ocamlver}
BuildRequires:  ocaml-findlib-devel
BuildRequires:  gsl-devel >= 1.9
BuildRequires:  gawk
BuildRequires: rpm >= 4.4.2.3-4m

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
This is an interface to GSL (GNU scientific library), for the
Objective Caml language.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
PreReq:		info


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n ocamlgsl-%{version}


%build
make
strip dllmlgsl.so


%install
rm -rf $RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install-findlib

# Old farts like me want mli files!
install -m 0644 *.mli $RPM_BUILD_ROOT%{_libdir}/ocaml/gsl/

# Info files.
mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 ocamlgsl.info* $RPM_BUILD_ROOT%{_infodir}


%clean
rm -rf $RPM_BUILD_ROOT


%post devel
/sbin/install-info %{_infodir}/ocamlgsl.info %{_infodir}/dir


%postun devel
/sbin/install-info --delete ocamlgsl %{_infodir}/dir


%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/ocaml/gsl
%if %opt
%exclude %{_libdir}/ocaml/gsl/*.a
%exclude %{_libdir}/ocaml/gsl/*.cmxa
%exclude %{_libdir}/ocaml/gsl/*.cmx
%endif
%exclude %{_libdir}/ocaml/gsl/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%defattr(-,root,root,-)
%doc COPYING README NEWS NOTES doc
%if %opt
%{_libdir}/ocaml/gsl/*.a
%{_libdir}/ocaml/gsl/*.cmxa
%{_libdir}/ocaml/gsl/*.cmx
%endif
%{_libdir}/ocaml/gsl/*.mli
%{_infodir}/*.info*


%changelog
* Thu Jan 08 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-2m)
- rebuild against rpm-4.4.2.3-4m

* Tue May 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.6.0-1m)
- import from Fedora

* Fri Apr 25 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6.0-3
- Fixed typo in description.
- Mixed use of buildroot macro / RPM_BUILD_ROOT variable fixed.
- Remove BR gsl (brought in by gsl-devel, so unnecessary).

* Tue Mar  4 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6.0-2
- Rebuild for ppc64.

* Wed Feb 20 2008 Richard W.M. Jones <rjones@redhat.com> - 0.6.0-1
- Initial RPM release.
